%global enable_tests 0
%global module_name browser-request

Name:           nodejs-%{module_name}
Version:        0.3.3
Release:        1%{?dist}
Summary:        Browser port of the Node.js 'request' package

License:        ASL 2.0
URL:            http://github.com/iriscouch/browser-request
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

chmod 644 index.js

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
beefy test.js
%endif

%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Tue Dec 09 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.3.3-1
- Initial packaging

